
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Hadoop文件压缩 / iVAN</title>

    <meta name="description" content="Hadoop文件压缩 文件压缩主要有两个好处,一是减少了存储文件所占空间,另一个就是为数据传输提速.在hadoop大数据的背景下,这两点尤为重要,那么我现在就先来了解下hadoop中的文件压缩. hadoop里支持很多种压缩格式,我们看一个表格: DEFLATE是同时使用了LZ77算法与哈夫曼编码(Huffman http://www.aliyun.com/zixun/aggregation/1552.html&quot;&gt;Coding)的一个无损数据压缩算法,源代码可以在zlib库中找到.gzip是以DEFL ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Hadoop文件压缩</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>文件压缩主要有两个好处，一是减少了存储文件所占空间，另一个就是为数据传输提速。在hadoop大数据的背景下，这两点尤为重要，那么我现在就先来了解下hadoop中的文件压缩。</p>
<p>hadoop里支持很多种压缩格式，我们看一个表格：</p>
<p>DEFLATE是同时使用了LZ77算法与哈夫曼编码（Huffman &quot;&gt;Coding）的一个无损数据压缩算法，源代码可以在zlib库中找到。gzip是以DEFLATE算法为基础扩展出来的一种算法。</p>
<p>所有的压缩算法都是空间和时间的转换，更快压缩时间还是更小的压缩比，可以通过参数来指定，－1意味着速度，－9意味着空间。拿gzip做个例子，下面就意味着更快速的压缩：</p>
<p>[plain] view plaincopy</p>
<p>gzip -1 file</p>
<p>gzip在时间和空间上的取舍比较折中，bzip2压缩比gzip更有效，但是速度更慢。bzip2的解压速度比它的压缩速度要快。但是和其他压缩格式比又是最慢的，但是压缩效果明显是最好的。snappy和lz4的解压速度比lzo好很多。</p>
<p>splittable表示压缩格式是否可以被分割，也就是说是否支持随即读。压缩数据是否能被mapreduce使用，压缩数据是否能被分割就很关键了。</p>
<p>举个例子，一个未压缩的文件有1GB大小，hdfs默认的block大小是64MB,那么这个文件就会被分为16个block作为mapreduce的输入，每一个单独使用一个map任务。如果这个文件是已经使用gzip压缩的呢，如果分成16个块，每个块做成一个输入，显然是不合适的，因为gzip压缩流的随即读是不可能的。实际上，当mapreduce处理压缩格式的文件的时候它会认识到这是一个gzip的压缩文件，而gzip又不支持随即读，它就会把16个块分给一个map去处理，这里就会有很多非本地处理的map任务，整个过程耗费的时间就会相当长。</p>
<p>lzo压缩格式也会是同样的问题，但是通过使用hadoop lzo库的索引工具以后，lzo就可以支持splittable。bzip2也是支持splittable的。</p>
<p>那么如何选择压缩格式呢？这取决于文件的大小，你使用的压缩工具，下面是几条选择建议，效率由高到低排序：</p>
<p>1.用一些包含了压缩并且支持splittable的文件格式，比如Sequence File，RCFile或者Avro文件，这些文件格式我们之后都会讲到。如果为了快速压缩可以使用lzo，lz4或者snappy压缩格式。</p>
<p>2.使用提供splittable的压缩格式，比如，bzip2和索引后可以支持splittable的lzo。</p>
<p>3.提前把文件分成几个块，每个块单独压缩，这样就无需考虑splittable的问题了</p>
<p>4.不要压缩文件</p>
<p>以不支持splittable的压缩格式存储一个很大的数据文件是不合适的，非本地处理效率会非常之低。</p>
<p>感谢Tom White,此文章大部分来自于大神的definitive guide，奈何中文版翻译太烂，就在英文原版的基础上和官方的一些文档加入一些自己的理解。</p>
<p>全当是读书笔记吧，画蛇添足之举。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-27 19:30:17</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%ae%97%e6%b3%95/" title="算法">算法</a>, <a href="https://www.iamivan.net/tag/%e5%8f%af%e4%bb%a5/" title="可以">可以</a>, <a href="https://www.iamivan.net/tag/%e5%be%88/" title="很">很</a>, <a href="https://www.iamivan.net/tag/%e6%98%af%e5%90%a6/" title="是否">是否</a>, <a href="https://www.iamivan.net/tag/%e4%bd%86%e6%98%af/" title="但是">但是</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Hadoop文件压缩的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3NoJgz.html" rel="bookmark">Hadoop文件常用压缩方法的压缩效果比较</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于Hadoop文件常用的几种压缩方法,我写了一个java程序进行比较. 期望是,给出一个大文件(bigfile.txt) ,我们用各种方式压缩他们然后最终复制到HDFS中. 代码很简单:就是构造codec的实例,然后让它来创建到HDFS的输出流 /* */ package com.charles.hadoop.fs; import java.io.BufferedInputStream; import java.io.FileInputStream; import java.io.InputS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3km7kb.html" rel="bookmark">Amr Awadallah：通过来自Cloudera的Hadoop来压缩大数据 - 产品和技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Amr Awadallah:通过来自http://www.aliyun.com/zixun/aggregation/13456.html&quot;&gt;Cloudera的Hadoop来压缩大数据 发布时间:2012.05.25 10:31      来源:赛迪网     作者:赛迪网 [赛迪网讯]Cloudera创始人兼CTO Amr Awadallah近日访华,他表示,我们都知道如何去存储数据,但不知道如何去处理或者是回答一些关于数据的问题.我们可以通过使用Hadoop让数据存留时更长,完成数据良好			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ybjow6M.html" rel="bookmark">struts2&period;0-struts2 将文件压缩后 下载却不成功</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 struts2 将文件压缩后 下载却不成功 我用struts2 做了个文件下载功能. 对于未压缩过的文件 一下子就下完了.. 用ZipOutputStream做成压缩包后,只能下载一部分,然后就下不动了.. 这是什么问题..不压缩能下得动,压缩完就不行.是struts2 对下载压缩支持不好吗? inputStream = new FileInputStream(new File(&quot;E:work_myeclipse.metadata.me_tcatwebapps eport_manage			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LzJe4Vp.html" rel="bookmark">Linux文件压缩和解压缩命令使用详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  在Linux系统中,我们通常使用的文件压缩命令有:bunzip2 , bzip2 , cpio , gunzip , gzip ,split(切割文件) , zgrep(在压缩文件中寻找匹配的正则表达式), zip ,unzip, tar ,rar. 最后四个是我比较常用的,今天的笔记就写这四个的好了. 1.tar: tar命令:tar [选项...] [FILE]... 输入&quot;tar -?&quot;获取相关帮助信息,tar的帮助文档给出示例如下: 示例 tar -cf archive.t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXBP3Wb.html" rel="bookmark">Windows 8 Store Apps学习70&rpar; 其它&colon; 文件压缩和解压缩</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				重新想象 Windows 8 Store Apps (70) - 其它: 文件压缩和解压缩, 与 Windows 商店相关的操作, app 与 web, 几个 Core 的应用, 页面的生命周期和程序的生命周期 作者:webabcd 介绍 重新想象 Windows 8 Store Apps 之 其它 文件压缩和解压缩 与 Windows 商店相关的操作 app 与 web 几个 Core 的应用 页面的生命周期和程序的生命周期 示例 1.演示如何压缩和解压缩文件 Feature/Compress			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7koQRz.html" rel="bookmark">Asp&period;net利用RAR做文件压缩解压缩</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果服务器上安装了RAR程序,那么asp.net可以调用RAR实现文件压缩与解压缩. 不过要注意的是,由于Web程序不能直接调用客户端的程序(除非用ActiveX,ActiveX几乎被废弃),所以如果要想实现让用户把本地文件用网页解压缩只有把文件上传到服务器上再调用服务器上的RAR压缩,同理要解压缩本地的RAR文件可以把文件上传到服务器解压再拿回来. 本文讲怎么在服务器端的目录解压缩文件! 前台代码: &lt;%...@ Page Language=&quot;C#&quot; AutoEventWire			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGjO3np.html" rel="bookmark">php文件压缩之PHPZip类用法实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本文实例讲述了php文件压缩之PHPZip类用法.分享给大家供大家参考.具体如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg3VV8M.html" rel="bookmark">Linux文件压缩和解压缩命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 在Linux系统中,我们通常使用的文件压缩命令有:bunzip2 , bzip2 , cpio , gunzip , gzip ,split(切割文件) , zgrep(在压缩文件中寻找匹配的正则表达式), zip ,unzip, tar ,rar. 最后四个是我比较常用的,今天的笔记就写这四个的好了. 1.tar: tar命令:tar [选项...] [FILE]... 输入&quot;tar -?&quot;获取相关帮助信息,tar的帮助文档给出示例如下: 示例   tar -cf archive.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZdPg5M.html" rel="bookmark">Linux的文件压缩&mdash;&mdash;tar和zip命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天因为准备远程压缩个文件,结果用tar命令失败了好几次.看来命令还是常用才熟悉啊. tar命令: 简介:tar命令只是把目录打包成一个归档(文件),并不负责压缩.在tar命令中可以带参数调用gzip或bzip2压缩.因为gzip和bzip2只能压缩单个文件. 在linux下是不需要后缀名的,但通常tar归档后缀名为.tar,gzip压缩后的后缀名为.gz,bzip2压缩后的后缀名为.bz2. 命令用法: tar [参数]  [文件或目录] 1 #比如把x文件夹打包并用gzip压缩. 2 tar			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0WQ0b.html" rel="bookmark" class="title">微软 Build 2012 大会首日实录</a>
					<div>
						微软今天召开了Build 2012大会.会议在华盛顿州雷德蒙德召开,也就是微软的总部所在地. 下面是实录: 1.400万Windows 8升级 大会开始后,微软首席执行官鲍尔默(Steve Ballm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3QWkp.html" rel="bookmark" class="title">拖动与碰撞的应用，Flash学习</a>
					<div>
						点击这里下载源文件 picx_array = new Array(); //图片元件的X坐标 picy_array = new Array(); //图片元件的Y坐标 xx_array = new A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQJ8oM.html" rel="bookmark" class="title">据观察靠外链支撑起的网站排名大降</a>
					<div>
						23号百度官方发布的&quot;超链作弊的算法升级&quot;估计是生效了,26号百度白天都在进行大更新,这次的算法大升级影响了很多的网站.影响力相当大,随便观察的几个词首页都发现很大的变动,像SEO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWLGGp.html" rel="bookmark" class="title">用RAID卡安装RAID图解</a>
					<div>
						众所周知,目前CPU芯片及图形子系统的性能正在不断飞升,但与之相对应的磁盘子系统性能正越来越严重地成为整体系统性能表现的瓶颈.虽然磁盘技术也在今天DMA66明天ATA/100地不断提升,但所有这些规范 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKQXEM.html" rel="bookmark" class="title">PHP开发框架Yii Framework教程&lpar;1&rpar; 第一个应用Hello World</a>
					<div>
						Yii Framework 教程可以参见官方中文文档 ,那么为什么还要写这个开发教程呢? 本教程目的是通过不同的视角(主要是 通过开发Windows应用C++,C#程序员的角度)帮助Windows 桌 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PdyAM.html" rel="bookmark" class="title">Jsp教程：action&comma;form&sol;普通字段的对应写法</a>
					<div>
						  又是改BUG的日子,今天遇到的这个很头疼,尤其是在别人代码的基础上改,更是头大.经过2个多小时,有一处错误感觉很莫名其妙,让旁边的同事看了一会,才查出原来是自己犯了一个幼稚的错误,太不注意细节了: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jKEPb.html" rel="bookmark" class="title">怎样查看自己的ip地址，我的IP地址是多少？</a>
					<div>
						怎样查看自己的ip地址,我的电脑本机IP是什么? IP地址分内网的外网两种,如果你是在家里上网并没有使用路由器的话,则不存在内网IP的问题,如果是在单位或学校,有许多朋友一起上网,那么就会有内网IP和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB27LKb.html" rel="bookmark" class="title">用金山wps表格快速生成用户名与密码的方法</a>
					<div>
						  很多公司都为每一个员工提供了独立的OA系统帐号,为了方便管理,很多行政都会提前为员工设置不一样的登录用户名与密码,不过,如果员工数量大的话,要设置用户名与密码,工作量也是挺大的.今天,小编就以下面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91OekM.html" rel="bookmark" class="title">PowerPoint借助自定义形状实现填充自定义图片</a>
					<div>
						  具体如何操作呢?以powerpoint2007为例,先在PPT页面中画一个形状,就像下面这个圆: 然后在形状填充里面选择&quot;图片或纹理填充&quot;: 插入自&quot;文件&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kjjKz.html" rel="bookmark" class="title">在Linux的命令行中实现字符出现频率统计的方法</a>
					<div>
						  Linux 命令行有很多的乐趣,我们可以很容易并且完善地执行很多繁琐的任务.比如,我们计算一个文本文件中字和字符的出现频率,这就是我们打算在这篇文章中讲到的. 立刻来到我们脑海的命令,计算字和字符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42KNYM.html" rel="bookmark" class="title">让时间处理简单化 【第三方扩展类库org&period;apache&period;commons&period;lang&period;time】</a>
					<div>
						阅读目录 1. DateFormatUtils 和 FastDateFormat  2. DateUtils 3. DurationFormatUtils 和 StopWatch      JAVA的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lBd9b.html" rel="bookmark" class="title">超越Windows 8 Linux崛起必备的五法宝</a>
					<div>
						2007年,由于上网本的出现和微软Vista的表现乏力,Linux占有桌面系统达到了前所未有的高度,微软很快的意识到他们在低端笔记本电脑方面的失策,这也是促使XP系统起死回生的主要原因.随着Windo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YADoM.html" rel="bookmark" class="title">Qt之XML</a>
					<div>
						简述 XML(EXtensible Markup Language - 可扩展标记语言)是一种用于记录多种数据类型的标记语言.使用 XML 可以将各类型的文档定义为容易读取的格式,便于用户读取.而且, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZPLJb.html" rel="bookmark" class="title">阿里巴巴：打响人才争夺战</a>
					<div>
						阿里巴巴将于2011年全面启动下一代电子商务平台战略.下一代电子商务平台将采用更加智能的人机交互方式,结合云计算这些更为先进的技术应用,覆盖更为广泛的实用领域,并希望以这一平台依托的各种电子商务服务最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZj2Ob.html" rel="bookmark" class="title">调度器之单体调度器</a>
					<div>
						本文讲的是调度器之单体调度器,[编者的话]本文描述了几个简单的单体调度器,基本的配置以及如何在Deis切换调度后端. 调度是一种向处理资源分配工作载荷的方式.在分布式环境中,调度器格外为大家需要,尤其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1Rl4z.html" rel="bookmark" class="title">Eclipse 导入工程失败</a>
					<div>
						问题描述 Eclipse 导入工程失败 解决方案 用eclipse导入一个工程时失败,显示如下: 查找资料,原因是由于将导入的工程放入当前的工作目录下拉,只要把将导入的工程放到其他位置就可以啦.... ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWD5Rz.html" rel="bookmark" class="title">WebSphere应用服务器&lpar;WAS&rpar;管理与应用</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;WebSphere应用服务器(WAS)是因特网的基础架构软件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRXGEb.html" rel="bookmark" class="title">MFC ListCtrl和IP控件的使用杂记</a>
					<div>
						ListCtrl中选中内容的提取 添加一个 list 控件 变量 m_list: POSITION pos = m_list.GetFirstSelectedItemPosition(); if (p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDPaKz.html" rel="bookmark" class="title">互联网地图厂商激烈角逐三大战场</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 百度和高德之间的免费导航大战使得业界对互联网地图行业的关注越来越多.此前人们一直关注的都是地图厂商在移动端的竞争,事实上,地图厂商之间的竞争是多方面和全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNw0aM.html" rel="bookmark" class="title">5 internal error-QT程序调试时报错，但程序运行时则不确定报错，是什么原因？</a>
					<div>
						问题描述 QT程序调试时报错,但程序运行时则不确定报错,是什么原因? 调试时报错信息Internal error: pc 0x3ff in read in psymtab, but not in sy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRPq2p.html" rel="bookmark" class="title">英国明年1月允许无人驾驶汽车公开路测</a>
					<div>
						新浪科技讯 北京时间7月31日早间消息,从2015年1月开始,英国将允许无人驾驶汽车上路行驶,但要真正在通勤中使用这种汽车,还需要再等一段时间.英国商务大臣文斯·凯布尔(Vince Cable)表示, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoNQOM.html" rel="bookmark" class="title">java里如何判断两个String实例中的特定字符是否值相同？</a>
					<div>
						问题描述 例如在C里可以这样写的一段代码 char a[3] = &quot;abc&quot;; char b[3] = &quot;dba&quot;; if(a[2]==b[2])用java的话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnoBWM.html" rel="bookmark" class="title">问下关于JSP的问题</a>
					<div>
						问题描述 &lt;%@pagelanguage=&quot;java&quot;import=&quot;java.util.*&quot;pageEncoding=&quot;gb2312&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqG4vb.html" rel="bookmark" class="title">win7应该用哪个版本的jdk&quest;</a>
					<div>
						问题描述 几天前我在win7下安装了jre1.6.0_06,在cmd中输入javac一切正常.按理说应该安装成功了啊,可是我在文本文档中输入hello.Java运行不了.高手给帮帮忙,谢谢 解决方案  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwJXdM.html" rel="bookmark" class="title">点点细雨的项目日记（五）&amp;amp&semi;amp&semi;nbsp&semi;页&hellip;</a>
					<div>
						点点细雨的原创博文!供各位在编程之路的同学们参考~ 本人博文允许转载,但请在文章显著位置注明转载出处以及原文链接,谢谢合作! 其实这个也不算是这个项目里用的啦,以前老师给推荐的,很好用哦! 页面的图像 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg1laM.html" rel="bookmark" class="title">如何利用软硬深度结合优化云硬件</a>
					<div>
						本文PPT来自阿里巴巴基础架构事业群架构师希有于10月16日在2016年杭州云栖大会上发表的&lt;软硬深度结合的云硬件优化实践&gt;. 随着金融.物流.电商.云计算和媒体这五大平台的迅猛发展,全业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL3DRM.html" rel="bookmark" class="title">EXT</a>
					<div>
						问题描述 有谁在学习EXT啊,有的话大家交流下啊,群13655060 解决方案 解决方案二:EXT是什么?解决方案三:http://www.ajaxjs.com/自己去看					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7yR7M.html" rel="bookmark" class="title">vivo X5手机快速恢复出厂设置图文教程</a>
					<div>
						1)我们在桌面点击[设置]下面的[更多设置]你会看到[恢复出厂设置]选项,我们点击它.(如下图)   2)然后在进入到[还原所有设置],再点击[还原]按钮,如下图所示.(如下图)   好了到这里viv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1DErob.html" rel="bookmark" class="title">智能家居何以成CES必争之地？</a>
					<div>
						作为2017年科技界第一个开年大戏,国际消费电子展(CES)备受瞩目,点燃了企业以及消费者对智能家居的热情.在本届展会上,智能家居玩出新花样,家居系统与智能语音交互成为大趋势.智能家居就是一个服务于家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenyg0b.html" rel="bookmark" class="title">大家帮我看看，下面的代码有问题，很简单的一个调用WScript，怎么都调试不通过，报错。</a>
					<div>
						问题描述 大家帮我看看,下面的代码有问题,很简单的一个调用WScript,怎么都调试不通过,报错.调试环境是:win2003+IIS6&lt;%DimCMDShellsetCMDShell=Serve ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
